MPSTAT(1)

NUME
mpstat - raportează statisticile legate de procesoare

SINOPSIS
mpstat [ -A ] [ --dec={ 0 | 1 | 2 } ] [ -H ] [ -n ] [ -u ] [ -T ] [ -V ] [ -I { cuvânt-cheie[,...] | ALL } ] [ -N { listă-noduri | ALL } ] [ -o JSON ] [ -P { listă-cpu | ALL } ] [ interval [ număr ] ]

DESCRIERE
Comanda mpstat scrie la ieșirea standard activități pentru fiecare procesor disponibil, procesorul 0 fiind primul. De asemenea, se raportează media globală a activităților între toate procesoarele. Comanda mpstat poate fi utilizată atât pe mașinile SMP, cât și pe cele UP, dar în cazul acestora din urmă se vor afișa numai activitățile medii globale. Dacă nu a fost selectată nicio activitate, atunci raportul implicit este raportul de utilizare a procesorului.

Parametrul interval specifică intervalul de timp în secunde dintre fiecare raport. O valoare de 0 (sau niciun parametru) indică faptul că statisticile procesoarelor vor fi raportate pentru timpul scurs de la pornirea sistemului (boot). Parametrul număr poate fi specificat împreună cu parametrul interval dacă acesta nu este stabilit la zero. Valoarea lui număr determină numărul de rapoarte generate la interval de interval secunde. Dacă parametrul interval este specificat fără parametrul număr, comanda mpstat generează rapoarte în mod continuu.

OPȚIUNI

-A  Această opțiune este echivalentă cu specificarea -n -u -I ALL. Această opțiune implică, de asemenea, specificarea -N ALL -P ALL, cu excepția cazului în care aceste opțiuni sunt definite în mod explicit în linia de comandă.

--dec={ 0 | 1 | 2 }
    Specifică numărul de zecimale care trebuie utilizate (de la 0 la 2, valoarea implicită este 2).

-H  De asemenea, detectează și afișează statisticile pentru vCPU-urile conectate fizic la cald.

-I { cuvânt-cheie[,...] | ALL }
    Raportează statisticile privind întreruperile. Cuvintele cheie posibile sunt CPU, SCPU și SUM.

    Cu ajutorul cuvântului cheie CPU, se afișează numărul fiecărei întreruperi individuale primite pe secundă de către CPU sau CPU-uri. Întreruperile sunt cele enumerate în fișierul /proc/interrupts .

    Cu ajutorul cuvântului cheie SCPU, se afișează numărul fiecărei întreruperi software individuale primite pe secundă de către CPU sau CPU-uri. Această opțiune funcționează numai cu nucleele 2.6.31 și ulterioare. Întreruperile software sunt cele enumerate în fișierul /proc/softirqs .

    Cu ajutorul cuvântului cheie SUM , comanda mpstat raportează numărul total de întreruperi pe procesor. Sunt afișate următoarele valori:

    CPU Numărul procesorului. Cuvântul cheie all indică faptul că statisticile sunt calculate ca medii între toate procesoarele.

    intr/s
        Afișează numărul total de întreruperi primite pe secundă de către CPU sau CPU-uri.

    Cuvântul cheie ALL este echivalent cu specificarea tuturor cuvintelor cheie de mai sus și, prin urmare, sunt afișate toate statisticile privind întreruperile.

-N { listă-noduri | ALL }
    Indică nodurile NUMA pentru care trebuie raportate statisticile. listă-noduri este o listă de valori sau un interval de valori separate prin virgule (de exemplu, 0,2,4-7,12-). Rețineți că nodul all reprezintă media globală între toate nodurile. Cuvântul cheie ALL indică faptul că statisticile trebuie raportate pentru toate nodurile.

-n  Raportează statisticile sumare ale procesorului pe baza plasării nodurilor NUMA. Sunt afișate următoarele valori:

    NOD Numărul nodului logic NUMA. Cuvântul cheie all indică faptul că statisticile sunt calculate ca medii între toate nodurile.

    Toate celelalte câmpuri sunt identice cu cele afișate cu opțiunea -u (a se vedea mai jos).

-o JSON
    Afișează statisticile în format JSON (Javascript Object Notation). Ordinea câmpurilor de ieșire JSON este nedefinită, iar în viitor pot fi adăugate noi câmpuri.

-P { listă-cpu | ALL }
    Se indică procesoarele pentru care se raportează statisticile. listă-cpu este o listă de valori separate prin virgule sau un interval de valori (de exemplu, 0,2,4-7,12-). Rețineți că procesorul 0 este primul procesor, iar procesorul all este media globală între toate procesoarele. Cuvântul cheie ALL indică faptul că statisticile trebuie raportate pentru toate procesoarele. Procesoarele „offline” (ce nu sunt active) nu sunt afișate.

-T  Afișează elementele de topologie în raportul CPU (a se vedea opțiunea -u de mai jos). Sunt afișate următoarele elemente:

    NUCLEU
        Numărul logic al nucleului.

    SOCLU
        Numărul logic al soclului.

    NOD Numărul nodului NUMA logic.

-u  Raportează utilizarea CPU-ului. Sunt afișate următoarele valori:

    CPU Numărul procesorului. Cuvântul cheie all indică faptul că statisticile sunt calculate ca medii între toate procesoarele.

    %usr
        Afișează procentul de utilizare a CPU-ului care a avut loc în timpul execuției la nivel de utilizator (aplicație).

    %nice
        Afișează procentul de utilizare a CPU-ului care a avut loc în timpul execuției la nivel de utilizator cu prioritate normală.

    %sys
        Afișează procentul de utilizare a CPU-ului care a avut loc în timpul execuției la nivelul sistemului (nucleului). Rețineți că acest lucru nu include timpul petrecut la deservirea întreruperilor hardware și software.

    %iowait
        Afișează procentajul de timp în care CPU-ul sau de CPU-urile au fost inactive în timpul căruia sistemul a avut o cerere de In/Ieș pe disc nerezolvată.

    %irq
        Afișează procentul de timp petrecut de CPU sau de CPU-uri pentru deservirea întreruperilor hardware.

    %soft
        Afișează procentul de timp petrecut de CPU sau de CPU-uri pentru deservirea întreruperilor software.

    %steal
        Afișează procentul de timp petrecut în așteptare involuntară de către CPU-ul sau de CPU-urile virtuale în timp ce hipervizorul deservea un alt procesor virtual.

    %guest
        Afișează procentul de timp petrecut de CPU sau de CPU-uri pentru a rula un procesor virtual.

    %gnice
        Afișează procentul de timp petrecut de CPU sau de CPU-uri pentru a rula un sistem invitat cu un nivel de curtoazie normal „niced”.

    %idle
        Afișează procentajul de timp în care CPU-ul sau CPU-urile au fost inactive și în care sistemul nu a avut o solicitare de In/Ieș pe disc nerezolvată.

-V  Afișează numărul versiunii, apoi iese.

MEDIU
Comanda mpstat ține cont de următoarele variabile de mediu:

S_COLORS
    În mod implicit, statisticile sunt afișate în culori atunci când ieșirea este conectată la un terminal. Utilizați această variabilă pentru a modifica configurarea. Valorile posibile pentru această variabilă sunt never, always sau auto (aceasta din urmă este echivalentă cu configurarea implicită).
    Rețineți că culoarea (fie ea roșie, galbenă sau de altă culoare) utilizată pentru a afișa o valoare nu indică niciun fel de problemă doar din cauza culorii. Aceasta indică doar diferite intervale de valori.

S_COLORS_SGR
    Specifică culorile și alte atribute utilizate pentru a afișa statisticile pe terminal. Valoarea sa este o listă de capacități separate prin două puncte care are ca valoare implicită I=32;22:N=34;1:W=35;1:X=31;1:Z=34;22. Capacitățile acceptate sunt:

    I=  Subșirul SGR (Select Graphic Rendition) pentru numărul CPU.

    N=  Subșirul SGR pentru valorile statistice care nu sunt egale cu zero.

    W= (sau M=)
        Subșirul SGR pentru valorile procentuale cuprinse între 75% și 90% (sau între 10% și 25%, în funcție de semnificația metricii).

    X= (sau H=)
        Subșirul SGR pentru valori procentuale mai mari sau egale cu 90% (sau mai mici sau egale cu 10%, în funcție de semnificația metricii).

    Z=  Subșirul SGR pentru valori zero.

S_TIME_FORMAT
    Dacă această variabilă există și valoarea ei este ISO, atunci nu se va ține cont de configurația regională curentă la imprimarea datei în antetul raportului. Comanda mpstat va utiliza în schimb formatul ISO 8601 ( AAAA-LL-ZZ). Marca temporală va fi, de asemenea, conformă cu formatul ISO 8601.

EXEMPLE

mpstat 2 5
    Afișează cinci rapoarte de statistici globale pentru toate procesoarele la intervale de două secunde.

mpstat -P ALL 2 5
    Afișează cinci rapoarte de statistici pentru toate procesoarele la intervale de două secunde.

ERORI
Sistemul de fișiere /proc trebuie să fie montat pentru ca mpstat să funcționeze.

FIȘIERE
/proc conține diverse fișiere cu statistici de sistem.

AUTOR
Sebastien Godard (sysstat <at> orange.fr)

CONSULTAȚI ȘI
sar(1), pidstat(1), iostat(1), vmstat(8)

https://github.com/sysstat/sysstat
https://sysstat.github.io/

TRADUCERE
Traducerea în limba română a acestui manual a fost făcută de Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă NICIO RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.